For the complete documentation index, see llms.txt. This page is also available as Markdown.

Headers

CORS Header

put

This setting is available in small, large, VOD and streaming resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
status_cors_headerstring · enumRequired

Enable or disable CORS headers.

Example: onPossible values:
cors_domainsstring · uri[]Optional

List of domains for CORS.

Example: ["domain1.com","domain2.com"]
Responses
200

Successfully updated the CORS header settings for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated the CORS header settings for the resource.

Custom Headers

put

This setting is available for all resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
status_custom_headersbooleanRequired

Enable or disable custom headers for the resource.

Example: true
Responses
200

Successfully updated custom headers for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated custom headers for the resource.

X-CDN Header

put

This setting is available for all resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
status_x_cdn_headerbooleanRequired

Enable or disable the X-CDN header for the resource.

Example: true
x_cdn_headerstringRequired

The name of the X-CDN header.

Example: test.header
Responses
200

Successfully updated X-CDN header for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated X-CDN header for the resource.

Origin Host Header

put

This setting is available for all resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
Responses
200

Successfully updated Origin Host Header for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated Origin Host Header for the resource.

HTTP Strict Transport Security (HSTS) Protection

put

This setting is available in small, large and dynamic(aksela) resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
status_hsts_protectionbooleanRequired

Enable or disable HTTP Strict Transport Security (HSTS) protection for the resource.

Example: true
max_age_timestringRequired

Maximum time in seconds for which the HSTS protection is applied.

Example: 7776000
include_sub_domainsbooleanRequired

Whether to include subdomains for the HSTS protection.

Example: true
preloadbooleanRequired

Whether to include the resource in the preload list for HSTS.

Example: true
Responses
200

Successfully updated HSTS protection settings for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated HSTS protection settings for the resource.

X-Frame Options

put

This setting is available in small, large and dynamic(aksela) resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
status_x_framebooleanRequired

Enable or disable X-Frame Options for the resource.

Example: true
trusted_domainsstring[]Required

Trusted domains for X-Frame Options.

Example: domain1.com
Responses
200

Successfully updated X-Frame Options settings for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated X-Frame Options settings for the resource.

X-XSS Protection

put

This setting is available in small, large and dynamic(aksela) resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
status_x_xss_protectionbooleanRequired

Enable or disable X-XSS Protection for the resource.

Example: true
Responses
200

Successfully updated X-XSS Protection settings for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated X-XSS Protection settings for the resource.

X-Content Type Options

put

This setting is available in small, large and dynamic(aksela) resource types.

Path parameters
organization_uuidstringRequired

UUID of the organization

resource_uuidstringRequired

UUID of the resource

Body
status_x_content_typebooleanRequired

Enable or disable X-Content Type Options for the resource.

Example: true
Responses
200

Successfully updated X-Content Type Options settings for the resource.

application/json
statusbooleanOptional

Status of the update operation.

Example: true
dataobjectOptional

Details of the updated resource.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
200

Successfully updated X-Content Type Options settings for the resource.

Last updated

Was this helpful?